#Settings {
    position: absolute;
    width: 100%;
    height: 100dvh;
    background-color: rgba(0, 0, 0, 0.229);
    inset: 0;
    z-index: 999999999;
    transition: 0.2s ease-in-out opacity;
}

.settingsPanel {
    background-color: var(--secondary);
    border-radius: var(--radius);
    height: fit-content;
    width: fit-content;
    position: relative;

}

.settingsContent,
.passwordEditContent,
.emailEditContent {
    padding: 20px 30px;
    transition: 0.1s ease-in-out opacity;
}

.imageProfile {
    padding: 20px;
    height: 50px;
    width: 50px;
    background-color: var(--hover);
    border-radius: 50px;
    font-size: 24px;
    font-weight: 700;
    color: var(--main);
}

.profileName {
    font-size: 20px;
    font-weight: 700;
    color: var(--main);
}

.profileEmail {
    font-size: 16px;
    color: rgb(126, 120, 120);
}

.settingsOptions {
    background-color: var(--hover);
    padding: 5px 10px;
    border-radius: 0 0 var(--radius) var(--radius);
    justify-content: space-evenly;
}

.settingsOption {
    font-size: 20px;
    color: var(--main);
    cursor: pointer;
    padding: 10px 20px;
    border-radius: var(--radius);
}

.settingsOption:hover {
    color: var(--pinky);
}


.userOption {
    padding: 5px 7px;
    border-radius: var(--radius);
    cursor: pointer;
    color: var(--main);
}

.userOption:hover {
    color: var(--pinky);

}

.setBox {

    border-radius: var(--radius);
    padding: 10px 20px;
    background-color: var(--hover);
}

.useroption_icon {
    padding: 5px;
    background-color: white;
    border-radius: var(--radius);
    box-shadow: 0 2px 1px rgba(0, 0, 0, 0.1);
}


.activelowerOption {
    background-color: var(--main);
    color: var(--hover);
}

.savebtn {
    margin-top: 20px;
    padding: 10px 30px;
    text-align: center;
    background-color: var(--main);
    border-radius: 50px;
    color: var(--hover);
    font-size: 20px;
    cursor: pointer;
}

.savebtn:hover {
    opacity: .7;
}

.settingsBack {
    background-color: var(--hover);
    color: var(--main);
    padding: 10px;
    border-radius: 50px;
    font-size: 18px;
    height: fit-content;
    cursor: pointer;
}

.settingsBack:hover {
    color: var(--pinky);
}

.message_icon {
    padding: 20px;
    height: 70px;
    width: 70px;
    font-size: 40px;
    background-color: var(--hover);
    color: var(--main);
    border-radius: 50px;
}

.messageInfo {
    position: absolute;
    z-index: 9999999;
    inset: 0;
    background-color: var(--secondary);
    padding: 20px 10px;
    border-radius: var(--radius);
}

.meessageInfoOk {
    background-color: var(--main);
    padding: 10px 30px;
    font-size: 22px;
    color: var(--hover);
    border-radius: 50px;
}

.message_title{
    text-align: center;
    font-size: 23px;
    font-weight: 600;
    color: var(--main);
}

@media (max-width:768px) {
    .settingsContent,
    .passwordEditContent,
    .emailEditContent {
        transition: 0.25s ease-out opacity;
    }

    .settingsPanel {
        width: 100%;
        height: 100dvh !important;
        border-radius: 0 !important;
    }

    .settingsOptions {
        border-radius: 0 !important;
    }

    .settingsOption {
        font-size: 25px !important;
    }
    .messageInfo{
        border-radius: 0 !important;
    }
    .messageInfo .message_title{
        font-size:30px !important;
    }
    .message_icon{
        font-size: 50px !important;
    }
}